
module IrcBot.Config.ConfigHelper where


import qualified Data.ByteString.Lazy as L
import Data.List.Split
import Data.Maybe
import IrcBot.Definitions.Options
import IrcBot.Definitions.ServerAddress
import qualified Data.Aeson as A
import IrcBot.JsonConfigDecoder

writeConfigFile :: IOptions -> [IServerAddress] -> IO ()

writeConfigFile oldOptions result = do
    let options = oldOptions { servers = result }
    let encodedJson = A.encode options
    L.writeFile ".connection.json" encodedJson