module IrcBot.Definitions.ServerResponse where

import qualified Data.ByteString.Char8 as C
import Network.Connection


data IServerResponse = IServerResponse 
   {  
      serverName :: String,
      readDataString :: String,
      readDataByteString :: C.ByteString,
      channelName :: String,
      nick :: String,
      messageText :: String,
      messageTarget :: String,
      messageType :: String
   }